Subject: RE: [External] : bug#49247: 28.0.50; [Feature Request] Make tab-bar-lines dragable

From: Drew Adams <[email-masked]>
Date: Thu, 8 Jul 2021 01:32:02 +0000

> Drew suggested to make an exception for the tab-bar.

I don't think I did that at all.  What did I say
that gave that impression?  I have no idea whether
tab-bar should be an exception to anything wrt
`mouse-1' or `mouse-2'.

I said up front, as a caveat:

  I'm not following this thread, and I can't speak
                                       ^^^^^^^^^^^
  to what might be needed for mouse behavior on the
  tab bar.

Other than that, I tried to say that, in general,
for mouse clicks on links, option
`mouse-1-click-follows-link' should govern whether
`mouse-1' follows a link (which `mouse-2' does
anyway).

Users (such as myself) who don't want `mouse-1'
to follow links can customize the option to `nil'.
(IMO it should be `nil' by default, but that was
overruled long ago.)

I tried to say that the option should in general
be respected for link clicks (why not?).  E.g.,
Emacs should not force `mouse-1' on a link to act
like `mouse-2' (disrespecting user customization
of the option to `nil').

I did end by repeating parenthetically that I
can't speak to any special behavior that might be
needed for the tab bar:

  (But again, maybe tab bar needs to be an
  exception for some special reason.)

I certainly wasn't claiming that it needs to be
an exception.  The thrust of my message was that
we _shouldn't want_ exceptional behavior that
disrespects the option.  But if an exception is
needed for some good reason, so be it.